Bug 1125090 - rusers uses libsystemd-daemon.so instead of the new libsystemd.so
Summary: rusers uses libsystemd-daemon.so instead of the new libsystemd.so
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rusers
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Dorňák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 04:03 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2015-02-16 14:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-16 14:25:29 UTC


Attachments (Terms of Use)

Description Zbigniew Jędrzejewski-Szmek 2014-07-31 04:03:10 UTC
Description of problem:
rusers and rusers-server uses '-lsystemd-daemon' but should switch to '-lsystemd'.
This causes it to require systemd-compat-libs, containing systemd libraries with historical names.

For longer explanation see http://www.spinics.net/lists/fedora-devel/msg200853.html.

Version-Release number of selected component (if applicable):
rusers-0:0.17-78.fc21.x86_64
rusers-server-0:0.17-78.fc21.x86_64

Comment 1 Jakub Dorňák 2014-08-11 12:24:14 UTC
commit 244527f4e32a2ea976e279be359beeb1b255454e
Author: Jakub Dorňák <jdornak@redhat.com>
Date:   Mon Aug 11 14:18:39 2014 +0200

    use libsystemd.so instead of the old libsystemd-daemon.so
    Resolves: #1125090

 rusers.spec | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.